/* ioapi.h -- IO base function header for compress/uncompress .zip
   files using zlib + zip or unzip API

   Version 1.01, May 8th, 2004

   Copyright (C) 1998-2004 Gilles Vollant
*/

#ifndef _ZLIBWIOAPI_H
#define _ZLIBWIOAPI_H

#include "ioapi.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Use _wfopen to create an io stream.
 * Pass the wide-character string through (un)zipOpen2 by casting to char*.
 * The stream functions from ioapi.c are used for all other operations.
 */

void fill_wfopen_filefunc OF((zlib_filefunc_def* pzlib_filefunc_def));

#ifdef __cplusplus
}
#endif

#endif

